mkdir -p cov && cd cov && 
rm *
gcc --coverage -g -O0 ../boot.c -o boot.elf
for i in ../test/*.c; do
    i=$(basename $i .c)
    echo "Running coverage for test '$i'"
    ./boot.elf < ../test/$i.c > /dev/null
    gcov boot.elf-boot.c
done

python3 -m gcovr --html-details --html-theme github.green -o report.html -r ..